Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362182 - Assertion 'c->allocated' failed at src/libsystemd/sd-bus/bus-creds.c:774, function bus_creds_add_more(). Aborting.
Summary: Assertion 'c->allocated' failed at src/libsystemd/sd-bus/bus-creds.c:774, fun...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 13:18 UTC by Tomas Vanderka
Modified: 2017-08-08 16:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:05:20 UTC


Attachments (Terms of Use)
Short excerpt from logs (deleted)
2016-08-01 13:18 UTC, Tomas Vanderka
no flags Details

Description Tomas Vanderka 2016-08-01 13:18:48 UTC
Created attachment 1186430 [details]
Short excerpt from logs

Description of problem:
After a few days systemd fails with an assertion "Assertion 'c->allocated' failed at src/libsystemd/sd-bus/bus-creds.c:774, function bus_creds_add_more(). Aborting."


Version-Release number of selected component (if applicable):
systemd-229-8.fc24.x86_64

How reproducible:
Unsure, happens after a few days of uptime. Looks like it is triggered by exiting user session started by CRON.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-01 19:50:56 UTC
Hm, this does not really tell us much, because bus_creds_add_more is called from many different code paths. Is there any chance you could provide a core dump? Depending on your configuration, the core file might be in / or in /var/lib/systemd/coredump/.

Comment 2 Tomas Vanderka 2016-08-01 20:36:57 UTC
No core dump was created (not sure why, does systemd-coredump need some other parts of systemd to work?). I will try to provide more info when it happens again.

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-08-02 13:33:30 UTC
Oh right. This is now fixed (in F25/rawhide), but the version in F24 has the issue that systemd-coredump does not handle pid1 core dumps correctly. Unfortunately there's no easy way to fix this, apart from not using systemd-coredump. The abrt handler probably works correctly, you might want to use that instead.

Comment 4 Jóhann B. Guðmundsson 2016-08-02 22:43:12 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> Oh right. This is now fixed (in F25/rawhide), but the version in F24 has the
> issue that systemd-coredump does not handle pid1 core dumps correctly.
> Unfortunately there's no easy way to fix this, apart from not using
> systemd-coredump. The abrt handler probably works correctly, you might want
> to use that instead.

Cant he simply use something like sysctl -w "kernel.core_pattern=|/usr/bin/xz -z > /var/lib/systemd/coredump/core.%P.%u.%g.%s.%t.%c.%e" temporarily to generate the crash file ( would get flushed on reboot ) and perhaps even inspect it with coredumpctl gdb? 

Alot of users simply uninstall the abrt behemoth and use the native systemd coredump handling that comes with systemd when they choose to report a crash or debug it.

Comment 5 Zbigniew Jędrzejewski-Szmek 2016-08-03 01:03:48 UTC
This would work, but comment #c1 says that the bug happens "after a few days of uptime", so it could catch quite a few other coredumps. I think using abrt is an easier alternative.

Comment 6 Fedora End Of Life 2017-07-25 22:11:14 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 16:05:20 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.